Subject: bug#73245: Emacs29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41

From: "John Hurst" <[email-masked]>
Date: Sat, 14 Sep 2024 12:45:08 +1000

Sorry, forgot to add, in case it is relevant, that when run from the command line, emacs gives many messages of the form:
  (emacs:1556302): Gtk-CRITICAL **: 12:40:47.974: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

This means nothing to me, but presumably is important?

cheers,
-- John Hurst
--
-- ajh AT ajhurst DOT org                       ~ ~~~&#:
--  (mob 0407 569 292)              _..___  ---____@___H__
-- (local)  ajh.co                  |_____[_|_________[__]_
-- (global) ajhurst.org              oo oo  oo O--O--O o=o
--
-- Hurst's Third Law of telecommunications: 
--    ISPs are not as smart as spammers

On Sat, 14 Sep 2024, at 12:42, John Hurst wrote:
> Sorry if this is the wrong place to post a bug, but I tried the M-x 
> report-emacs-bug, and it just said "Cannot open load file: No such file 
> or directory, emacs-19"??
>
> The bug I have, since upgrading to Ubuntu 24.04 and install emacs29 is 
> that the initial frame has width x height of 20 x 9, even though I have 
> a .Xresources file containing
>    Emacs*geometry: 100x40+1900+0
> end a default-frame-alist of
>   Value:
>   ((font . "Monospace-10")
>    (height . 42)
>    (width . 90)
>    (tool-bar-lines . 0)
>    (menu-bar-lines . 1)
>    (top . 0)
>    (left . 1200))
>   Original value was nil
> set up by my .emacs file.
>
> Using either the pull-down File->New Frame, or C-x 5 2, both generate 
> new frames of the 20 x 9 size.
>
> I can send the .emacs file if needed, but note that "emacs -D' also 
> gives the same default size of 20 x 9, so I don't think it is a problem 
> with my .emacs file - which did work OK under Ubuntu 22.04 and emacs28.
>
> Any insights gratefully received.
>
> cheers,
> -- John Hurst
> --
> -- ajh AT ajhurst DOT org                       ~ ~~~&#:
> --  (mob 0407 569 292)              _..___  ---____@___H__
> -- (local)  ajh.co                  |_____[_|_________[__]_
> -- (global) ajhurst.org              oo oo  oo O--O--O o=o
> --
> -- Hurst's Third Law of telecommunications: 
> --    ISPs are not as smart as spammers